Bug 239192 - Rhythmbox crashed with NULL pointer dereference
Rhythmbox crashed with NULL pointer dereference
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-base (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 17:10 EDT by Lubomir Kundrak
Modified: 2008-05-06 15:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-05-05 17:10:40 EDT
Description of problem:

Found a core file of rhythmbox, that crashed apparently due to a problem
with OGG gstreamer plugin. No idea what I was doing then, nor I am able to
reproduce it. So in case this is not enough information, feel free to close
with WONTFIX.

Version-Release number of selected component (if applicable):

gstreamer-plugins-good-0.10.4-3.fc6
rhythmbox-0.9.8-2.fc6

Actual results:

Here is the backtrace. If something else usable can be sucked out from a
core file, tell me.

Core was generated by `rhythmbox'.
Program terminated with signal 11, Segmentation fault.
#0  gst_ogg_demux_perform_seek (ogg=0x874ea80, event=0x0) at gstoggdemux.c:2103
2103        if (chain->segment_start != GST_CLOCK_TIME_NONE)
(gdb) print chain
$1 = (GstOggChain *) 0x0
(gdb) bt
#0  gst_ogg_demux_perform_seek (ogg=0x874ea80, event=0x0) at gstoggdemux.c:2103
#1  0x0022210b in gst_ogg_demux_loop (pad=0x8ead6e0) at gstoggdemux.c:2814
#2  0x05d114f6 in gst_task_set_lock () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00b16c68 in g_thread_pool_thread_proxy (data=0x93bf938) at gthreadpool.c:265
#4  0x00b1529f in g_thread_create_proxy (data=0x92c8358) at gthread.c:591
#5  0x005993db in start_thread (arg=0xb42cab90) at pthread_create.c:296
#6  0x0047326e in clone () from /lib/libc.so.6
(gdb)
Comment 1 Lubomir Kundrak 2007-09-21 05:23:02 EDT
Ping on this issue.
Comment 2 Bug Zapper 2008-04-04 03:11:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:34:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.